# ubuntuone.platform.windows - windows platform imports
#
# Author: Lucio Torre <lucio.torre@canonical.com>
#
# Copyright 2009 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.
"""Windows import for ubuntuone-client

This module has to have all windows specific modules and provide the api
required to support the windows platform.
"""

platform = "win32"

from ubuntuone.platform.windows.vm_helper import (
    get_udf_path_name,
    get_udf_path,
    get_share_path,
    VMMetadataUpgraderMixIn,
)
from ubuntuone.platform.windows import event_logging

